"""
module: slideshowfolder
created by: Johnpaul Burbank <jpburbank@tegus.ca>
Date: July 8, 2007
"""

#Zope
try:
    #For Zope 2.10.4
    import zope.annotation
except ImportError:
    #For Zope 2.9
    import zope.app.annotation
    import zope.app.annotation.interfaces
    import sys
    sys.modules['zope.annotation'] = zope.app.annotation
    sys.modules['zope.annotation.interfaces'] = zope.app.annotation.interfaces 

# CMFCore
from Products.CMFCore.DirectoryView import registerDirectory
# CMFPlone
from Products.CMFPlone.interfaces import IPloneSiteRoot
# Generic Setup
from Products.GenericSetup import EXTENSION, profile_registry

# Allow access from restricted python to some modules.
from AccessControl import allow_module
allow_module('Products.slideshowfolder.interfaces')

from config import GLOBALS
registerDirectory('skins', GLOBALS)

def initialize(context):
    profile_registry.registerProfile(
        'default',
        'slideshowfolder',
        'Installs slideshowfolders skins directory',
        'profiles/default',
        'slideshowfolder',
        EXTENSION,
        for_=IPloneSiteRoot,
    )

# Parts of the installation process depend on the version of Plone.
# This release supports Plone 2.5.3 and Plone 3.
try:
    from Products.CMFPlone.migrations import v3_0
except ImportError:
    HAS_PLONE30 = False
else:
    HAS_PLONE30 = True

